TKN-PIPELINE-LOGS(1)

NAME

tkn-pipeline-logs - Show Pipeline logs

SYNOPSIS

tkn pipeline logs

DESCRIPTION

Show Pipeline logs

OPTIONS

-a, --all[=false]
    show all logs including init steps injected by tekton

-f, --follow[=false]
    stream live logs

-h, --help[=false]
    help for logs

-L, --last[=false]
    show logs for last PipelineRun

--limit=5
    lists number of PipelineRuns

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Interactive mode: shows logs of the selected PipelineRun:

    tkn pipeline logs -n namespace

Interactive mode: shows logs of the selected PipelineRun of the given Pipeline:

    tkn pipeline logs pipeline -n namespace

Show logs of given Pipeline for last run:

    tkn pipeline logs pipeline -n namespace --last

Show logs for given Pipeline and PipelineRun:

    tkn pipeline logs pipeline run -n namespace

SEE ALSO

tkn-pipeline(1)